import React, { Fragment } from "react";
import { View, Switch, Text, StyleSheet } from "react-native";

const LocationTracker = props => {
  return (
    <Fragment>
      <Text style={styles.titleText}>Tracking:</Text>
      <View style={styles.switchContainer}>
        <Switch
          style={styles.switch}
          value={props.tracking}
          onValueChange={props.handleTrackingChange}
        />
      </View>
    </Fragment>
  );
};

// Need a container for the switch to align it in the middle
const styles = StyleSheet.create({
  switchContainer: {
    justifyContent: "center",
    alignItems: "center",
    paddingVertical: 30
  },
  switch: {
    transform: [{ scaleX: 2 }, { scaleY: 2 }]
  },
  titleText: {
    fontSize: 40,
    fontWeight: "bold",
    textAlign: "center"
  }
});

export default LocationTracker;
